#header {
    background: $darkgrey;
    height: 100px;
    position: sticky !important;

    @include tablet {
        height: 118px;
    }

    @include desktop {
        background-color: $black;
        height: 100px;
    }
}

.header {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 100%;

    @include tablet {
        flex-direction: column;
        padding-top: 22px;
    }

    @include desktop {
        max-width: 1200px;
        flex-direction: row;
        padding-top: 0px;
    }

    &__logo {
        display: flex;
        align-items: center;
        gap: 17px;
        height: 100%;
        text-decoration: none !important;
        margin-left: 15px;
        width: 44px;


        @include tablet {
            width: 158px;
            height: auto;
        }

        @include desktop {
            margin-right: 100px;
        }

        .header__logo--icon {
            background: url("../img/header/fork-logo.png") no-repeat;
            width: 43px;
            height: 41px;
        }

        .header__logo--text {
            display: none;
            @include Lato700;
            color: $purple;
            font-size: 24px;
            line-height: 16px;
            text-transform: uppercase;

            @include tablet {
                display: block;
            }

            @include desktop {
                display: block;
            }
        }
    }

    .header__logo:hover {
        .header__logo--icon {
            background-image: url("../img/header/logo-hover.png");
        }

        .header__logo--text {
            color: $white;
        }
    }

    //----------------------------- nav ------------------------------//

    nav {
        display: none;
        position: absolute;
        z-index: 20;
        top: 100px;

        @include tablet {
            display: flex;
            position: relative;
            top: 0;
            left: 0;


        }

        ul {

            @include tablet {
                display: flex;
                width: 100%;
                padding: 20px 50px;
                justify-content: space-around;
            }

            @include desktop {
                height: 100%;
                align-items: center;
                gap: 48px;
                padding: 0px;
            }

            li {

                a {
                    @include tablet {
                        text-decoration: none;
                        color: $purple;
                        @include Montserrat700;
                        font-size: 16px;
                        font-style: normal;
                        line-height: 18px;
                        height: auto;
                        width: auto;
                        padding: 0;


                    }

                }

                a:hover {
                    color: $white;
                }
            }
        }
    }

    .active-menu {
        display: block;
        position: absolute;
        z-index: 20;
        top: 100px;
        left: 12px;
        height: auto;
        background-color: #333333;
        flex-direction: column;
        width: calc(100% - 24px);
        align-items: start;
        gap: 0;

        @include tablet {
            position: relative;
            top: -16px;
            left: 0;
            z-index: 0;
            display: flex;
            background: transparent;
        }

        @include desktop {
            top: 1px;
            width: auto;
            flex-grow: 1;
        }

        ul {

            @include tablet {
                padding: 0;
                display: flex;
                position: relative;
                top: 0;
                left: 10px;
                background-color: $darkgrey;
                width: 100%;
                max-width: 768px;
                align-self: center;
            }

            @include desktop {
                background-color: $black;
                height: none;
                left: 0;
                justify-content: flex-end;
                padding-right: 100px;

            }

            li {
                border-bottom: 2px solid #3B3B3B;
                width: 100%;
                height: 88px;
                display: flex;
                align-items: center;

                @include tablet {
                    width: auto;
                    height: auto;
                    border: none;
                }

                a {
                    @include Montserrat400;
                    color: $white;
                    font-size: 26px;
                    line-height: 26px;
                    line-height: 53px;
                    padding: 0 0 0 36px;
                    border-left: 8px solid transparent !important;
                    height: 53px;
                    text-decoration: none;

                    @include tablet {
                        color: $purple;
                        @include Montserrat700;
                        font-size: 16px;
                        font-style: normal;
                        line-height: 18px;
                        height: auto;
                        width: auto;
                        padding: 0;
                        

                    }
                }

                a:hover,
                a:focus {
                    color: $purple;
                    border-left: 8px solid $purple !important;

                    @include tablet {
                        border-left: 8px solid transparent !important;
                        color: $white;

                    }
                }
            }
        }
    }

    //----------------------------- header__button ------------------------------//

    .header__button {
        @include Montserrat700;
        font-size: 15px;
        line-height: 15px;
        width: 119px;
        height: 37px;
        align-self: center;
        border-radius: 40px;
        background-color: $purple;
        border: none;
        color: $white;
        text-align: center;

        @include tablet {
            position: absolute;
            right: 20px;
            width: 145px;
            height: 37px;
            font-size: 16px;
            line-height: 16px;
        }

        @include desktop {
            position: relative;
            right: 0px;
            margin-right: 20px;
        }
    }

    .header__button:hover {
        color: $purple;
        background-color: $white;
    }

}

//----------------------------- burger__button ------------------------------//

.burger__button {
    width: 30px;
    height: 30px;
    background: url("../img/header/burger-icon1.svg") no-repeat center;
    border: none;
    align-self: center;
    margin-right: 15px;

    @include tablet {
        display: none;
    }

    @include desktop {
        display: none;
    }
}

.pressed {
    background: url("../img/header/burger-icon2.svg") no-repeat center;
}


